com.thinkaurelius.titan.diskstorage.locking.consistentkey

## Class StandardLockCleanerRunnable

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.locking.consistentkey.StandardLockCleanerRunnable

- All Implemented Interfaces:
    Runnable

      public class StandardLockCleanerRunnable
      extends Object
      implements Runnable

  Attempt to delete locks before a configurable timestamp cutoff using the provided store, transaction, and serializer. This implementation is "best-effort." If the store or transaction closes in the middle of its operation, or if the backend emits a storage exception, it will fail without retrying and log the exception.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardLockCleanerRunnable(KeyColumnValueStore store, KeyColumn target, StoreTransaction tx, ConsistentKeyLockerSerializer serializer, long cutoff)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardLockCleanerRunnable

          public StandardLockCleanerRunnable(KeyColumnValueStore store,
                                     KeyColumn target,
                                     StoreTransaction tx,
                                     ConsistentKeyLockerSerializer serializer,
                                     long cutoff)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2012–2014. All rights reserved.